/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/

#ifndef __MY_GRAPHICS_H__
# define __MY_GRAPHICS_H__

#include "s_sfml.h"
void my_display_vram(sfml_t *sfml);
void my_clear_vram(sfml_t *sfml, uint32_t color);
void my_line(sfml_t *sfml, int line[4], uint32_t color);
void my_pixel(sfml_t *sfml, int x, int y, uint32_t color);
void my_horizontal_line(sfml_t *sfml, int h_line[3], uint32_t color);
void my_filled_rectangle(sfml_t *sfml, int rectangle[4], uint32_t color);
void my_vram_zoom(sfml_t *sfml, double zoom_width, double zoom_height);
void my_filled_circle(sfml_t *sfml, int circle[3], uint32_t color);
void my_filled_polygon(sfml_t *sfml, polygon_t polygon);
void copy_vram(sfml_t *sfml, uint32_t *src);
void my_draw_bmp(sfml_t *sfml, sprite_t *sprite, intmax_t x, intmax_t y);
sprite_t *my_load_sprite(const char *file);
void my_draw_sheet(sfml_t *sfml, sprite_t *sprite, int sheet[6]);
void my_rectangle(sfml_t *sfml, int rect[5],
uint32_t border_color, uint32_t fill_color);

void get_drawline(polygon_t *polygon, int *xmax, int *xmin, char *empty);
#endif
